/*
 * AbstractContentTypeTable.java
 * Tomokazu ARITA
 * arita@obirin.ac.jp
 * Created on 2003/08/15, 0:27
 * update 2005/12/04
 */

package org.hichart.h3code;


/**
 * Includes the list of content-type IDs. 
 * @version 0.0.1 2003/08/15
 * @author Tomokazu ARITA (arita@obirin.ac.jp)
 * 
 *
 */
public abstract class AbstractContentTypeTable {
    /* Rec̎ */
	
	
    /**
     * <code>NONE</code> denotes that a cell includes no content. 
     */
    public static final int NONE = 0; //Recł͂Ȃ
    
    
    /**
     * <code>TEXT</code> denotes text data. 
     */
    public static final int TEXT = 1;
    
    /**
     * <code>RFT</code> denotes rich-text-format data. 
     */
    public static final int RFT  = 2;
    
    /**
     * <code>HTML</code> denotes HTML data. 
     */
    public static final int HTML = 3;
    
    /**
     * <code>IMAGE</code> denotes image data. 
     */
    public static final int IMAGE = 4;
    
    //2005/12/04
    public static final int KIND_TEXT_LINE = 5;
}
