/**
 * TextLine.java
 * Tomokazu ARITA
 * 2005/11/3010:32:10
 */
package org.hichart.h3code.content;

import org.hichart.h3code.AbstractContentTypeTable;
import org.hichart.h3code.Content;

/**
 * @author Tomokazu ARITA (arita@obirin.ac.jp)
 *
 */
public class TextLine implements Content {

	int id = 0;
	public static final int KIND = AbstractContentTypeTable.KIND_TEXT_LINE;
	private String content = null; 
	
	public boolean setContent(String code) {
		this.content = code;
		return true;
	}

	public String getContent() {
		return content;
	}

	public boolean setContentID(int id) {
		this.id = id;
		return true;
	}

	public int getContentID() {
		return id;
	}

	/* 
	 * @see org.hichart.h3code.Content#setKindOfContent(int)
	 * ݒłȂ̂ŁA{IɏFalse;
	 */
	public boolean setKindOfContent(int kind) {
		if(kind == TextLine.KIND){ return true; }
		return false; 
	}

	/* 
	 * @see org.hichart.h3code.Content#getKindOfContent()
	 * return org.hichart.h3code.Content.KIND_TEXT_LINE
	 */
	public int getKindOfContent() {
		return KIND;
	}
	
	/**
	 * ItZbgԂ
	 * @return offset = 2.0
	 */
	public float getOffset(){
		return 2.0F;
	}
}
