/*
 * CText.java
 * Tomokazu ARITA
 * arita@r.dendai.ac.jp
 * Created on 2003/08/14, 5:52
 */

package org.hichart.h3code.content.gui;

import javax.swing.*;

public class CText implements GUIContent{
    
    private int id = 0;
    private String content = null;
    
    /** Creates a new instance of CText */
    public CText() {}
    
    /* GUIp̃R|[lgԂ */
    public JComponent getComponent() {
        if(content != null){
            JEditorPane pane = new JEditorPane();
            pane.setContentType("text/plain");
            pane.setText(content);
            pane.setEditable(true);
            return pane;
        }else{
            return null;
        }
    }
    
    public String getContent() {
        return content;
    }
    
    public boolean setContent(String code){
        if(code == null){ return false; }
        
        content = new String(code);
        return true;
    }
    
    /* idԂ */
    public int getContentID() {
        return id;
    }    
    
    /* Rec̎ނԂ */
    public int getKindOfContent() {
        return org.hichart.h3code.AbstractContentTypeTable.TEXT;
    }
    
    /* RecIDݒ */
    public boolean setContentID(int id) {
        this.id = id;
        return true;
    }
    
    /* Rec̎ނݒ肷 */
    /* kind h3code.AbstractContentTypeTable.TEXTłȂƂfalseԂ*/
    /* gpȂȂ */
    public boolean setKindOfContent(int kind) {
        if(kind == org.hichart.h3code.AbstractContentTypeTable.TEXT){
            return true;
        }else{
            return false;
        }
    }
    
}
